Package org.wso2.carbon.application.deployer.synapse.internal

## Class SynapseAppDeployerDSComponent

- java.lang.Object
- - org.wso2.carbon.application.deployer.synapse.internal.SynapseAppDeployerDSComponent

- All Implemented Interfaces:
    `EventListener`, `org.osgi.framework.ServiceListener`

      public class SynapseAppDeployerDSComponent
      extends Object
      implements org.osgi.framework.ServiceListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynapseAppDeployerDSComponent()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `activate​(org.osgi.service.component.ComponentContext ctxt)` |
    `protected void` | `deactivate​(org.osgi.service.component.ComponentContext ctxt)` |
    `static Map<String,​List<org.wso2.carbon.application.deployer.Feature>>` | `getRequiredFeatures()` |
    `void` | `serviceChanged​(org.osgi.framework.ServiceEvent serviceEvent)` |
    `protected void` | `setSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` | Here we receive an event about the creation of a SynapseEnvironment.
    `protected void` | `unsetSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)` | Here we receive an event about Destroying a SynapseEnvironment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseAppDeployerDSComponent

          public SynapseAppDeployerDSComponent()

  - ### Method Detail

    - #### activate

          protected void activate​(org.osgi.service.component.ComponentContext ctxt)

    - #### deactivate

          protected void deactivate​(org.osgi.service.component.ComponentContext ctxt)

    - #### setSynapseEnvironmentService

          protected void setSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

      Here we receive an event about the creation of a SynapseEnvironment. If this is SuperTenant we have to wait until all the other constraints are met and actual initialization is done in the activate method. Otherwise we have to do the activation here.
      Parameters:
        `synapseEnvironmentService` - SynapseEnvironmentService which contains information about the new Synapse Instance

    - #### unsetSynapseEnvironmentService

          protected void unsetSynapseEnvironmentService​(org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentService synapseEnvironmentService)

      Here we receive an event about Destroying a SynapseEnvironment. This can be the super tenant destruction or a tenant destruction.
      Parameters:
        `synapseEnvironmentService` - synapseEnvironment

    - #### getRequiredFeatures

          public static Map<String,​List<org.wso2.carbon.application.deployer.Feature>> getRequiredFeatures()

    - #### serviceChanged

          public void serviceChanged​(org.osgi.framework.ServiceEvent serviceEvent)

      Specified by:
        `serviceChanged` in interface `org.osgi.framework.ServiceListener`